For the complete documentation index, see llms.txt.
Pickup
Create and manage courier pickup requests.
2 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/pickup/book
Request body
{
"order_reference": "2009",
"tracking_number": "CPAHMIZ0005207001",
"carrier_name": "CouriersPlease",
"pickup_timeslot_start": "2026-06-19T00:00:00Z",
"pickup_timeslot_end": "2026-06-19T02:00:00Z",
"pickup_timezone_id": "AUS Eastern Standard Time",
"special_instructions": "Use side door",
"collection_address": {
"contact_name": "John Smith",
"contact_email": "john.smith@example.com",
"company_name": "Test Company",
"address_line1": "1508 Centre Rd",
"address_line2": "Building 1",
"address_line3": "Clayton Business Park",
"suburb": "CLAYTON",
"postcode": "3169",
"state": "VIC",
"country": "Australia",
"contact_phone": "123412341234"
},
"receiver_address": {
"company_name": "Another Company",
"address_line1": "147 Bourke Street",
"address_line2": "Level 1",
"suburb": "MELBOURNE",
"postcode": "3000",
"state": "VIC",
"country": "Australia",
"contact_phone": "33334444"
},
"packaging_code": "Carton",
"service_code": "EXP",
"consignment_count": 1,
"package_count": 2,
"total_weight": 0.1,
"max_package_length": 30,
"max_package_width": 20,
"max_package_height": 10,
"max_package_weight": 0.1
}Response examples
Book Pickup (200)
{
"job_number": "4500",
"success": true
}